import request from '@/utils/request'

// 分页查询车辆批量出库列表
export function pageListBillCar(query) {
  return request({
    url: '/jxc/billCar/pageList',
    method: 'get',
    params: query
  })
}

// 查询车辆批量出库列表
export function listBillCar(query) {
  return request({
    url: '/jxc/billCar/list',
    method: 'get',
    params: query
  })
}

// 查询车辆批量出库详细
export function getBillCar(id) {
  return request({
    url: '/jxc/billCar/' + id,
    method: 'get'
  })
}

// 新增车辆批量出库
export function addBillCar(data) {
  return request({
    url: '/jxc/billCar',
    method: 'post',
    data: data
  })
}

// 修改车辆批量出库
export function updateBillCar(data) {
  return request({
    url: '/jxc/billCar',
    method: 'put',
    data: data
  })
}

// 删除车辆批量出库
export function delBillCar(id) {
  return request({
    url: '/jxc/billCar/' + id,
    method: 'delete'
  })
}

// 导出车辆批量出库
export function exportBillCar(query) {
  return request({
    url: '/jxc/billCar/' + 'export',
    method: 'post',
    params: query
  })
}
